> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Freeze/Inactivate Customer

> The API freezes the customer, putting their subscription on pause and all the customer data into read-only mode. The customer will not be charged for any subscriptions as they are not considered active.

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml POST /v1/c/customer/{customer_id}/inactivate
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/inactivate:
    post:
      tags:
        - customer
      summary: inactivate the customer
      operationId: inactivate_customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
          example: Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.customer.Notes'
        required: true
      responses:
        '200':
          description: Inactivated
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    models.customer.Notes:
      type: object
      description: Notes to attach to a Customer
      properties:
        notes:
          type: string
          description: Notes. Free form field
          nullable: true
      example:
        notes: Management told us to change their status
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````